# $Id: Makefile,v 1.10 2002/07/25 17:51:41 tep Exp $
JC = javac
DEFS =
JFLAGS =
SRC = RegistrationRequest.java AuthorizationRequest.java KeyChain.java \
	Certifier.java RootIssuer.java Monitor.java KeyChainManager.java \
	run.java
TARGETS = ${SRC:.java=.class}
.SUFFIXES : .java .class

target:
	rm -f /tmp/*-{keychain,manager,issuer,certifier,monitor}*
	make $(TARGETS)

tags:
	ctags -R

run.class: $(SRC)
	$(JC) $(JFLAGS) run.java

.java.class:
	$(JC) $(JFLAGS) $<

clean:
	rm -f $(TARGETS) *.class *~
